This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1290886 - [i915] WARNING drivers/gpu/drm/i915/intel_display.c:1880 vlv_wait_port_ready+0x121/0x160
[i915] WARNING drivers/gpu/drm/i915/intel_display.c:1880 vlv_wait_port_ready...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 14:04 EST by Chris Murphy
Modified: 2016-12-20 11:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:56:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (88.86 KB, text/plain)
2015-12-11 14:04 EST, Chris Murphy
no flags Details
lspci (23.57 KB, text/plain)
2015-12-11 14:30 EST, Chris Murphy
no flags Details
dmesg2 (39.11 KB, text/plain)
2015-12-12 13:55 EST, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2015-12-11 14:04:22 EST
Created attachment 1104759 [details]
dmesg

Description of problem:

I unplugged a USB keyboard on an Intel NUC and got a series of call traces related to i915. NUC is connected to a display via HDMI but the display was off at the time, the NUC was being used effectively headless.


Version-Release number of selected component (if applicable):
4.2.6-301.fc23.x86_64

How reproducible:
Once.
Rebooted with the keyboard attached, waited a few minutes, removed it. No trace.


Steps to Reproduce:
1.
2.
3.

Actual results:

See dmesg.

[40721.305434] usb 1-1: USB disconnect, device number 2
[40721.305464] usb 1-1.2: USB disconnect, device number 4
[40722.513280] ------------[ cut here ]------------
[40722.513428] WARNING: CPU: 3 PID: 28943 at drivers/gpu/drm/i915/intel_display.c:1880 vlv_wait_port_ready+0x121/0x160 [i915]()
[40722.513435] timed out waiting for port D ready: got 0xf, expected 0x0



Expected results:


Additional info:
Comment 1 Chris Murphy 2015-12-11 14:30 EST
Created attachment 1104787 [details]
lspci
Comment 2 Chris Murphy 2015-12-12 13:55 EST
Created attachment 1105132 [details]
dmesg2

Plugged the keyboard in maybe an hour after a reboot, same traceback. And it kills the display (HDMI) as well, so not good.
Comment 3 Fedora End Of Life 2016-11-24 09:10:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 11:56:07 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.